# IpeFixed Class Reference
[Ipe Base]

Fixed point number with three (decimal) fractional digits. More...

List of all members.

## Public Member Functions

- IpeFixed (int val)
- int ToInt () const
- double ToDouble () const
- int Internal () const
- IpeFixed Mult (int a, int b) const

## Static Public Member Functions

- IpeFixed FromInternal (int val)

## Friends

- IpeStream & operator<< (IpeStream &stream, const IpeFixed &f)

## Detailed Description

Fixed point number with three (decimal) fractional digits.

## Member Function Documentation

IpeFixed IpeFixed::Mult | ( | int | a,
|  | int | b
| ) | const

| Return value times (a/b).

The documentation for this class was generated from the following files:

- ipebase.h
- ipebase.cpp